<?php



//去掉Wordpres挂件
function THE4_disable_dashboard_widgets() {
    remove_meta_box('dashboard_recent_comments', 'dashboard', 'normal');//近期评论
    remove_meta_box('dashboard_recent_drafts', 'dashboard', 'normal');//近期草稿
    remove_meta_box('dashboard_primary', 'dashboard', 'core');//wordpress博客
    remove_meta_box('dashboard_secondary', 'dashboard', 'core');//wordpress其它新闻
    remove_meta_box('dashboard_right_now', 'dashboard', 'core');//wordpress概况
    remove_meta_box('dashboard_incoming_links', 'dashboard', 'core');//wordresss链入链接
    remove_meta_box('dashboard_plugins', 'dashboard', 'core');//wordpress链入插件
    remove_meta_box('dashboard_quick_press', 'dashboard', 'core');//wordpress快速发布
}
add_action('admin_menu', 'THE4_disable_dashboard_widgets');


//主题启动后进仪表盘
add_action( 'load-themes.php', 'Init_theme' );
function Init_theme(){
    global $pagenow;

    if ( 'themes.php' == $pagenow && isset( $_GET['activated'] ) ) {
        // options-general.php 改成你的主题设置页面网址
        wp_redirect( admin_url( '/index.php' ) );
        exit;
    }
}

//主题教程
function the4_welcome_panel() { ?>
    <script type="text/javascript">
        /* 隐藏默认的欢迎信息 */
        jQuery(document).ready( function($)
        {
            $('div.welcome-panel-content').hide();
        });
    </script>
    <!-- 添加自定义信息 -->
    <div class="ybpjc">
        <h3>使用说明</h3>
        <ol class="jcbox">
            <li>十分感谢您使用第四维网络制作的免费WordPress主题 </li>
            <li>为了更好的完善这个WordPress主题，我们诚挚的邀请您到<a href="https://4wl.cn/theme/chop">第四维网络</a>申请一个授权码，激活主题</li>
            <li>激活主题以后，您可以享受到更加便捷的WordPress后台一键升级服务 </li>
            <li>加入 <a href="https://jq.qq.com/?_wv=1027&k=5cWb6vw">第四维WordPress交流群</a>共同交流</li>
            <li>客服QQ：865852099</li>

        </ol>
    </div>
<?php } add_action( 'welcome_panel', 'the4_welcome_panel' );